Bug 299033 - [wish] Palette docker : remember the palette in docker ( workspace )
Summary: [wish] Palette docker : remember the palette in docker ( workspace )
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-29 13:41 UTC by David REVOY
Modified: 2012-08-17 16:20 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David REVOY 2012-04-29 13:41:49 UTC
Hi, 
I work on a multi page comics with consistency between characters colors and general color palette.

Reproducible: Always

Steps to Reproduce:
 Each time I open a page ( so a new Krita sesssion )  , I have to click :
1. Add/remove Colors ( palette docker ) 
2. Click to open the scroll menu of the dialog to select the palette
3. press ok to close the dialog and enjoy my palette 
Actual Results:  
The palette is well loaded, but I must repeat the process each time. It's annoying because I open page after page , and I tend to start to have a 'palette' hand painted on a layer of my page and skip the docker feature ...

Expected Results:  
Have Krita to save the palette displayed when saving 'workspace' , and load it when I load a workspace. 

1. On the top toolbar , I can load a workspace ( ex. "Mycomics" ). This workspace have palette dockers on screen and the right palette loaded for my project.
2. If I switch to another workspace ( ex. "Speedpainting" ) , I can have the palette I use for Speedpainting appearing on loading of workspace. 

Of course last workspace displayed on close , is the one launched by default on Krita start ; so I can work on a multipage project.
Comment 1 Halla Rempt 2012-04-29 13:59:43 UTC
Good points.
Comment 2 Sven Langkamp 2012-06-29 00:15:03 UTC
Git commit 60faa2a9d84401ab410d262b694db94f988cb4ea by Sven Langkamp.
Committed on 29/06/2012 at 02:12.
Pushed by langkamp into branch 'master'.

restore last used palette in the palette docker after start

M  +35   -3    krita/plugins/extensions/dockers/defaultdockers/kis_palette_docker.cc
M  +7    -0    krita/plugins/extensions/dockers/defaultdockers/kis_palette_docker.h
M  +9    -0    krita/ui/kis_config.cc
M  +3    -0    krita/ui/kis_config.h
M  +5    -0    libs/widgets/KoColorSetWidget.cpp
M  +6    -0    libs/widgets/KoColorSetWidget.h

http://commits.kde.org/calligra/60faa2a9d84401ab410d262b694db94f988cb4ea
Comment 3 Sven Langkamp 2012-06-29 11:25:11 UTC
Git commit 539825d373b47a792dfca5e31c58e29cf49b621f by Sven Langkamp.
Committed on 29/06/2012 at 13:16.
Pushed by langkamp into branch 'master'.

store palette in workspace

M  +30   -0    krita/plugins/extensions/dockers/defaultdockers/kis_palette_docker.cc
M  +4    -0    krita/plugins/extensions/dockers/defaultdockers/kis_palette_docker.h
M  +10   -0    krita/ui/kis_canvas_resource_provider.cpp
M  +9    -0    krita/ui/kis_canvas_resource_provider.h
M  +11   -0    krita/ui/kis_workspace_resource.cpp
M  +3    -2    krita/ui/kis_workspace_resource.h
M  +5    -1    krita/ui/widgets/kis_workspace_chooser.cpp

http://commits.kde.org/calligra/539825d373b47a792dfca5e31c58e29cf49b621f
Comment 4 David REVOY 2012-06-29 15:31:25 UTC
Thanks Sven, I tested, updated and it works perfectly. ^ ^ A very good update, very user friendly and productive. Now I can set a workspace per project and find back the according palette. 

About the palette display for the moment : I see Krita skip the info of column of the *.gpl palette files, and do 16 column by default for all,  and set to 11x11 pixels all the palettes squares 's sockets . Also the outline/border color around square choose a bright color of the theme, a dark choice would be -imo- better.
 I think this part would merit a bit of love <3 But I ignore the work it would represent to make the palette square larger.  If the 11x11 pixels and 16 column are fixed values in the code, a fast fix would be to set it like that : 
16x16 pixels , and 14 columns. I studied it relatively to the min width horyzontal of the right docker in Krita. here is my fast mockup : http://wstaw.org/m/2012/06/29/2012-06-29_screenshot-006.jpg 

Btw, and a bit out-of topic too,  I was updating one hour ago the palette for the next mypaint palette feature. I worked hard on it too make it simple , I would love it to be also included into Krita 2.5 :
Link : http://pastebin.com/raw.php?i=PpBwycbK
 ( note 1 : save as *.gpl palette files,  feel free to rename it as you want or change the header of the file ) 
( note2 :  this palette file can replace '1-classic-kit' , witch is the old version )
Comment 5 Halla Rempt 2012-08-17 16:20:09 UTC
Git commit a0ba58354a6982d797734df921ec39ea1239a838 by Boudewijn Rempt, on behalf of Sven Langkamp.
Committed on 29/06/2012 at 02:12.
Pushed by rempt into branch 'calligra/2.5'.

restore last used palette in the palette docker after start

Conflicts:
	krita/ui/kis_config.cc
	krita/ui/kis_config.h

M  +35   -3    krita/plugins/extensions/dockers/defaultdockers/kis_palette_docker.cc
M  +7    -0    krita/plugins/extensions/dockers/defaultdockers/kis_palette_docker.h
M  +20   -0    krita/ui/kis_config.cc
M  +6    -0    krita/ui/kis_config.h
M  +5    -0    libs/widgets/KoColorSetWidget.cpp
M  +6    -0    libs/widgets/KoColorSetWidget.h

http://commits.kde.org/calligra/a0ba58354a6982d797734df921ec39ea1239a838
Comment 6 Halla Rempt 2012-08-17 16:20:09 UTC
Git commit 0b14760966a4d1c203857085684a574f139e0aca by Boudewijn Rempt, on behalf of Sven Langkamp.
Committed on 29/06/2012 at 13:16.
Pushed by rempt into branch 'calligra/2.5'.

store palette in workspace

M  +30   -0    krita/plugins/extensions/dockers/defaultdockers/kis_palette_docker.cc
M  +4    -0    krita/plugins/extensions/dockers/defaultdockers/kis_palette_docker.h
M  +10   -0    krita/ui/kis_canvas_resource_provider.cpp
M  +9    -0    krita/ui/kis_canvas_resource_provider.h
M  +11   -0    krita/ui/kis_workspace_resource.cpp
M  +3    -2    krita/ui/kis_workspace_resource.h
M  +5    -1    krita/ui/widgets/kis_workspace_chooser.cpp

http://commits.kde.org/calligra/0b14760966a4d1c203857085684a574f139e0aca